Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_MMAP_Memory_Pool_Options Class Reference

Helper class for MMAP Memory Pool constructor options. More...

`#include <Memory_Pool.h>`

List of all members.

## Public Methods
| ACE_MMAP_Memory_Pool_Options (const void *base_addr = ACE_DEFAULT_BASE_ADDR, int use_fixed_addr = 1, int write_each_page = 1, off_t minimum_bytes = 0, u_int flags = 0, int guess_on_fault = 1, LPSECURITY_ATTRIBUTES sa = 0)
## Public Attributes
const void* | base_addr_
| Base address of the memory-mapped backing store.
int | use_fixed_addr_
| Must we use the <base_addr_> or can we let mmap(2) select it?
int | write_each_page_
| Should each page be written eagerly to avoid surprises later on?
off_t | minimum_bytes_
| What the minimim bytes of the initial segment should be.
u_int | flags_
| Any special flags that need to be used for <mmap>.
int | guess_on_fault_
LPSECURITY_ATTRIBUTES | sa_
| Pointer to a security attributes object. Only used on NT.

## Detailed Description

Helper class for MMAP Memory Pool constructor options.

This should be a nested class, but that breaks too many compilers.

## Constructor & Destructor Documentation

ACE_MMAP_Memory_Pool_Options::ACE_MMAP_Memory_Pool_Options ( | const void * base_addr = ACE_DEFAULT_BASE_ADDR,
| int use_fixed_addr = 1,
| int write_each_page = 1,
| off_t minimum_bytes = 0,
| u_int flags = 0,
| int guess_on_fault = 1,
| LPSECURITY_ATTRIBUTES sa = 0 )

## Member Data Documentation

const void * ACE_MMAP_Memory_Pool_Options::base_addr_

| Base address of the memory-mapped backing store.

u_int ACE_MMAP_Memory_Pool_Options::flags_

| Any special flags that need to be used for <mmap>.

int ACE_MMAP_Memory_Pool_Options::guess_on_fault_

| Try to remap without knowing the faulting address. This parameter is ignored on platforms that know the faulting address (UNIX with SI_ADDR and Win32).

off_t ACE_MMAP_Memory_Pool_Options::minimum_bytes_

| What the minimim bytes of the initial segment should be.

LPSECURITY_ATTRIBUTES ACE_MMAP_Memory_Pool_Options::sa_

| Pointer to a security attributes object. Only used on NT.

int ACE_MMAP_Memory_Pool_Options::use_fixed_addr_

| Must we use the <base_addr_> or can we let mmap(2) select it?

int ACE_MMAP_Memory_Pool_Options::write_each_page_

| Should each page be written eagerly to avoid surprises later on?

The documentation for this class was generated from the following files:

- Memory_Pool.h
- Memory_Pool.cpp